Bug 471818 - nomodeset needed to avoid glx crash on R400 (i386 + x86_64)
nomodeset needed to avoid glx crash on R400 (i386 + x86_64)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-16 16:38 EST by François Cami
Modified: 2009-12-18 01:51 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:51:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (62.71 KB, text/plain)
2008-12-02 08:55 EST, Ed Marshall
no flags Details
Xorg.0.log with modeset enabled (101.33 KB, text/plain)
2008-12-06 16:40 EST, François Cami
no flags Details

  None (edit)
Description François Cami 2008-11-16 16:38:09 EST
Description of problem:
glxgears hard-freezes (no ping, nothing) at or around the first frame when modesetting is enabled (default in Fedora 10).

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.9.0-38.fc10.i386

How reproducible:
always

Steps to Reproduce:
1. Install Fedora 10 on a R400 (FireGL V7100) computer with default components
2. Reboot, watch beautiful startup, logon to gnome, launch terminal
3. type "glxgears"
  
Actual results:
full system freeze

Expected results:
gears appear and spin

Additional info:
System is Athlon X2 + FireGL V7100, 4GB DDR2.
adding nomodeset to kernel command line in grub.conf makes the problem disappear.
Comment 1 François Cami 2008-11-16 17:11:11 EST
Identical behaviour confirmed on x86_64, same exact hardware.

kernel-2.6.27.5-109.fc10.x86_64
xorg-x11-drv-ati-6.9.0-38.fc10.x86_64

That's good news, since using nomodeset in the previous kernel (kernel-2.6.27.5-101.fc10.x86_64) resulted in a distorted GDM screen.
Comment 2 François Cami 2008-11-16 17:13:21 EST
Probably related to #467702 but not identical.
Comment 3 Matěj Cepl 2008-11-18 09:24:23 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Bug Zapper 2008-11-26 00:29:26 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Ed Marshall 2008-12-02 08:54:28 EST
I'm getting a similar issue, but don't have a reproduction recipe. If I boot with modesetting enabled, using either xorg-x11-drv-ati or xorg-x11-drv-radeonhd, eventually the screen will lock up, usually during some period of heavy visual activity, but nothing I seem to be able to trigger definitively (2d scrolling, such as a lot of terminal output or Firefox scrolling, seem to be good triggers). glxgears definitely does not cause a visual hang. The system is still remotely accessable when this happens, although CPU utilization is very high.

If I boot with nomodeset, I seem to be able to avoid this problem entirely.

xorg.conf is typically empty/not there, or with a single stanza to specify the radeonhd driver when testing that. Xorg.0.log is pretty uneventful (nothing appears in the log when the lockup occurs), but I'll attach the ati/radeon version of it for completeness.
Comment 6 Ed Marshall 2008-12-02 08:55:56 EST
Created attachment 325374 [details]
Xorg.0.log

Xorg.0.log from a locked-up session.
Comment 7 Ed Marshall 2008-12-05 15:59:36 EST
As of xorg-x11-drv-ati-6.9.0-59.fc10.x86_64, this (so far) seems to be resolved for me.
Comment 8 Matěj Cepl 2008-12-06 07:24:04 EST
Reporter, could you confirm, that this has been resolved in xorg-x11-drv-ati-6.9.0-59.fc10.x86_64?

Thank you for any reply
Comment 9 François Cami 2008-12-06 16:33:37 EST
As of xorg-x11-drv-ati-6.9.0-59.fc10.x86_64 I can start glxgears with modesetting without freezing the system at our around the first frame.
However, moving the xterm window over the glxgears window makes Xorg freeze immediately. In other words, it works better, but is crash-happy...
Matej, please advise on whether I should open a separate bug for that or keep that one open.
Comment 10 François Cami 2008-12-06 16:40:19 EST
Created attachment 326020 [details]
Xorg.0.log with modeset enabled
Comment 11 François Cami 2008-12-06 16:41:13 EST
for the record, this particular setup does not need any xorg.conf configuration file, as shown in the log :
(EE) Unable to locate/open config file
Comment 12 Bug Zapper 2009-11-18 02:58:42 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Ed Marshall 2009-11-18 08:44:41 EST
Should this be merged with bug #46489?
Comment 14 Bug Zapper 2009-12-18 01:51:54 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.